#!/bin/bash
# this script is based on : https://jekyllrb.com/docs/installation/ubuntu/
# Run this script as root
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
    exit
fi

# Update && Upgrade
apt-get update && apt-get upgrade -y
# Install dependecies
apt-get install ruby-full build-essential zlib1g-dev

# Add ruby to ~/.baschrc
echo '# Install Ruby Gems to ~/gems' >> ~/.bashrc
echo 'export GEM_HOME="$HOME/gems"' >> ~/.bashrc
echo 'export PATH="$HOME/gems/bin:$PATH"' >> ~/.bashrc
source ~/.bashrc

# Install Jekyll
gem install jekyll bundler

